Name:       python-plotly
Version:    5.15.0
Release:    1
Summary:    An open-source, interactive data visualization library

License:    MIT
URL:            https://codeload.github.com/shopkeep/plotly
Source0:       https://codeload.github.com/shopkeep/plotly/archive/%{version}.tar.gz#/plotly-%{version}.tar.gz
BuildArch:  noarch

%description 
plotly.py is an interactive, open-source, and browser-based graphing library for Python.

%package -n python3-plotly
Summary:    %{summary}
Provides:       python-plotly

# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel

Requires:   python-jupyter-filesystem

%description -n python3-plotly
plotly.py is an interactive, open-source, and browser-based graphing library for Python.

%prep
%autosetup -n plotly-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-plotly
%license LICENSE.txt
%doc README.md

%{python3_sitelib}/jupyterlab_plotly/
%{python3_sitelib}/_plotly_*/
%{python3_sitelib}/plotly*/
%{_prefix}/share/jupyter/labextensions/jupyterlab-plotly
%{_prefix}/share/jupyter/nbextensions/jupyterlab-plotly/
%{_prefix}/etc/jupyter/nbconfig/notebook.d/

%changelog
* Mon Jul 31 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 5.15.0-1
- Inite package python-plotly of version 5.15.0.
